### Virtual Method

# Gtk IMContext invalid_composition

#### Declaration [src]

    gboolean
    invalid_composition (
      GtkIMContext* context,
      const char* str
    )

#### Description [src]

Default handler of the `GtkIMContext::invalid-composition` signal. Since: 4.22.

#### Parameters

`str`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

No description available.